<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcmNewCamera::Tracking Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><b>iPcmNewCamera</b>      </li>
      <li class="navelem"><a class="el" href="structiPcmNewCamera_1_1Tracking.html">Tracking</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcmNewCamera::Tracking Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcmNewCamera::Tracking" --><!-- doxytag: inherits="iPcmNewCamera::General" -->
<p>This is a camera to be used with actoranalog.  
 <a href="structiPcmNewCamera_1_1Tracking.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="newcamera_8h_source.html">propclass/newcamera.h</a>&gt;</code></p>

<p>Inherits iPcmNewCamera::General.</p>

<p><a href="structiPcmNewCamera_1_1Tracking-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual TargetState&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcmNewCamera_1_1Tracking.html#acc790b0d6e19cd0604ac6ba0bde5033f">GetTargetState</a> ()=0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcmNewCamera_1_1Tracking.html#a53651bbbb06006986baa054bdae7b539">ResetCamera</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets this camera to its original state facing the same direction as the anchor fixed on the target,.  <a href="#a53651bbbb06006986baa054bdae7b539"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcmNewCamera_1_1Tracking.html#abd85d68765cd0dc3520637abaa08bc55">SetTargetEntity</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the target entity that we focus on when targetstate == TARGET_OBJ.  <a href="#abd85d68765cd0dc3520637abaa08bc55"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcmNewCamera_1_1Tracking.html#acf2b03dcf0df3081fa9ed650bb0c8b21">SetTargetState</a> (TargetState targetstate)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the state of the targetting.  <a href="#acf2b03dcf0df3081fa9ed650bb0c8b21"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcmNewCamera_1_1Tracking.html#ae022cec555f3788c26405b804613a493">SetTargetYOffset</a> (float targetyoffset)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Since position is often set at the 'feet' of an object, set a fixed offset upwards.  <a href="#ae022cec555f3788c26405b804613a493"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a camera to be used with actoranalog. </p>
<p>It tracks left and right movement and follows movement in and out of the camera. you can visualise the camera &lt;--&gt; player connection as a hard pole with a spring on the end C----|oooP the ---- (hard pole) can never be compressed except by collision detection whereas the springs ooo can be decompressed and stretched between 0 and 2 * normal spring length ... the spring is relaxed at the normal spring length </p>

<p>Definition at line <a class="el" href="newcamera_8h_source.html#l00213">213</a> of file <a class="el" href="newcamera_8h_source.html">newcamera.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="acc790b0d6e19cd0604ac6ba0bde5033f"></a><!-- doxytag: member="iPcmNewCamera::Tracking::GetTargetState" ref="acc790b0d6e19cd0604ac6ba0bde5033f" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual TargetState <a class="el" href="structiPcmNewCamera_1_1Tracking.html#acc790b0d6e19cd0604ac6ba0bde5033f">iPcmNewCamera::Tracking::GetTargetState</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>The target state </dd></dl>

</div>
</div>
<a class="anchor" id="a53651bbbb06006986baa054bdae7b539"></a><!-- doxytag: member="iPcmNewCamera::Tracking::ResetCamera" ref="a53651bbbb06006986baa054bdae7b539" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcmNewCamera_1_1Tracking.html#a53651bbbb06006986baa054bdae7b539">iPcmNewCamera::Tracking::ResetCamera</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets this camera to its original state facing the same direction as the anchor fixed on the target,. </p>

</div>
</div>
<a class="anchor" id="abd85d68765cd0dc3520637abaa08bc55"></a><!-- doxytag: member="iPcmNewCamera::Tracking::SetTargetEntity" ref="abd85d68765cd0dc3520637abaa08bc55" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcmNewCamera_1_1Tracking.html#abd85d68765cd0dc3520637abaa08bc55">iPcmNewCamera::Tracking::SetTargetEntity</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the target entity that we focus on when targetstate == TARGET_OBJ. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>name of the entity. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acf2b03dcf0df3081fa9ed650bb0c8b21"></a><!-- doxytag: member="iPcmNewCamera::Tracking::SetTargetState" ref="acf2b03dcf0df3081fa9ed650bb0c8b21" args="(TargetState targetstate)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcmNewCamera_1_1Tracking.html#acf2b03dcf0df3081fa9ed650bb0c8b21">iPcmNewCamera::Tracking::SetTargetState</a> </td>
          <td>(</td>
          <td class="paramtype">TargetState&#160;</td>
          <td class="paramname"><em>targetstate</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the state of the targetting. </p>
<ul>
<li>TARGET_BASE: focus on the entity we're following.</li>
<li>TARGET_OBJ: focus on the entity set by SetTargetEntity (...)</li>
<li>TARGET_NONE: focus on nothing and also follow the on the x axis </li>
</ul>

</div>
</div>
<a class="anchor" id="ae022cec555f3788c26405b804613a493"></a><!-- doxytag: member="iPcmNewCamera::Tracking::SetTargetYOffset" ref="ae022cec555f3788c26405b804613a493" args="(float targetyoffset)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcmNewCamera_1_1Tracking.html#ae022cec555f3788c26405b804613a493">iPcmNewCamera::Tracking::SetTargetYOffset</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>targetyoffset</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Since position is often set at the 'feet' of an object, set a fixed offset upwards. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="newcamera_8h_source.html">newcamera.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
